package com.qqchen.deploy.backend.system.api;

import com.qqchen.deploy.backend.framework.api.Response;
import com.qqchen.deploy.backend.system.entity.RoleTag;
import com.qqchen.deploy.backend.framework.controller.BaseController;
import com.qqchen.deploy.backend.system.model.RoleTagDTO;
import com.qqchen.deploy.backend.system.model.query.RoleTagQuery;
import com.qqchen.deploy.backend.system.service.IRoleTagService;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.annotation.Resource;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.data.domain.Page;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.concurrent.CompletableFuture;

@Tag(name = "角色标签管理")
@RestController
@RequestMapping("/api/v1/role-tag")
public class RoleTagApiController extends BaseController<RoleTag, RoleTagDTO, Long, RoleTagQuery> {

    @Override
    public Response<RoleTagDTO> create(@Validated @RequestBody RoleTagDTO dto) {
        return super.create(dto);
    }

    @Override
    public Response<RoleTagDTO> update(@PathVariable Long id, @Validated @RequestBody RoleTagDTO dto) {
        return super.update(id, dto);
    }

    @Override
    public Response<Void> delete(@PathVariable Long id) {
        return super.delete(id);
    }

    @Override
    public Response<RoleTagDTO> findById(@PathVariable Long id) {
        return super.findById(id);
    }


    @Override
    protected void exportData(HttpServletResponse response, List<RoleTagDTO> data) {

    }
}